# DmLiveResources

Add Google Sheets as live resources in Device Magic.

Device Magic users can upload .xlsx files to be referenced within their mobile forms.  This project is aimed at automating the same process for Google Sheets to increase the flexibility of resources.

## Installation

    $ gem install dm_live_resources

## Adding a Resource

To add a Google Sheet as a Resource, in terminal execute:

    $ ruby add_resource --gs-api-key="Google Drive API Key" --gs-identifier="Google Sheet Identifier" --gs-sheets="Sheets in workbook to be tracked for changes" --dm-api-key="Device Magic API Key"

The first time this script is ran, a 'Resources.db' file will be created in the same directory with a table for the resource data.  The Google Sheet will then be added to the Device Magic organization in .xlsx format.  Each time thereafter, an additional table will be added to the same database.

## Updating a Resource

    $ ruby update_db

This will check to see if any changes have been made within the sheets you specified previously for your resources.  If there are changes, Device Magic will be updated with a new copy of the resource.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/aseli1/dm_live_resources.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
