# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "dm_live_resources/version"

Gem::Specification.new do |spec|
  spec.name          = "dm_live_resources"
  spec.version       = DmLiveResources::VERSION
  spec.authors       = ["Anthony Seliga"]
  spec.email         = ["anthony.seliga@gmail.com"]

  spec.summary       = %q{Add Google Sheets as live resources in Device Magic.}
  spec.description   = %q{Device Magic users can upload .xlsx files to be referenced within
                          their mobile forms.  This project is aimed at automating the same process
                          for Google Sheets to increase the flexibility of resources.  }
  spec.homepage      = "https://github.com/aseli1/dm_live_resources"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = 'https://rubygems.org'
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'bin'
  spec.executables   = ['add_resource', 'update_db']
  spec.require_paths = ['lib', 'lib/dm_live_resources']

  spec.add_runtime_dependency "httparty", "~> 0.15"
  spec.add_runtime_dependency "trollop", "~> 2.1"
  spec.add_runtime_dependency "sqlite3", "~> 1.3"

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
